import React from 'react'
import { createApp } from 'react'
import Taro from '@tarojs/taro'
import './app.scss'

/**
 * 初始化云开发环境
 */
function initCloud() {
  const env = 'lineforfun-dev'; // 默认环境ID
  
  if (process.env.TARO_ENV === 'weapp') {
    if (!Taro.cloud) {
      console.error('请使用 2.2.3 或以上的基础库以使用云能力');
    } else {
      Taro.cloud.init({
        env,
        traceUser: true
      });
      console.log('云开发初始化成功');
    }
  }
}

// App组件props定义
export interface IAppProps {
  children: React.ReactNode;
}

function App({ children }: IAppProps) {
  // 在应用初次加载时初始化云环境
  React.useEffect(() => {
    initCloud();
  }, []);

  return children;
}

export default createApp(App)
